<?php
session_start();
require('../cfg/cfg.php');
require('../cfg/res.php');
include('php_gene1.php'); 
include('php_session.php');
include('simplexlsx.class.php');


if(file_exists('../_cfg/config.php')){include('../_cfg/config.php');}
$tipo=$_POST['ptipo']; 
$ffile=$_POST['ffile']; 
$ffile2=substr($ffile,0,48);

// if(mb_stristr('XLSX',$docu))
{ 
$origen = $_FILES['ffile']['tmp_name'];
$destino="../mflw.xlsx";
echo '*/*/*/---';
echo $origen;
echo '*/*/*/++++';
echo $destino;

  
echo move_uploaded_file($origen,$destino);
	
$xlsfile="../mflw.xlsx";
$xlsx = new SimpleXLSX($xlsfile);
$hojas=	$xlsx->sheetNames();

for( $choja = 0; $choja <= count($hojas); $choja++)
{
// 	echo $hojas[$choja];
// 	echo "\n";
	if($hojas[$choja]=='Ventas')
	{
          $xfila=$xlsx->rows($choja);

          $xcabe= $xfila[0];
          for( $ccolu = 0; $ccolu <= count($xcabe); $ccolu++)
          {
               if($xcabe[$ccolu]=='FECHA'){$col_fecha=$ccolu;}
               if($xcabe[$ccolu]=='DOCU'){$col_docu=$ccolu;}
               if($xcabe[$ccolu]=='NUMERO'){$col_numero=$ccolu;}
               if($xcabe[$ccolu]=='RUC'){$col_enti=$ccolu;}
               if($xcabe[$ccolu]=='BASE 0%'){$col_base0=$ccolu;}
               if($xcabe[$ccolu]=='BASE 12%'){$col_base12=$ccolu;}
          }

          for( $cfila = 1; $cfila <= count($xfila); $cfila++)
          {
               $xregi= $xfila[$cfila];
        
             $docu='FC10';
             $numero=fillzero(trim($xregi[$col_numero]));
             $dfecha=$xregi[$col_fecha]-2;
             $fecha="1900-01-01";
             $fecha=date('Y-m-d',strtotime($fecha.'+'.$dfecha.'days '));

     //         echo '*/*/*';
     //         echo $dfecha;
     //         echo $fecha;

             $enti=(trim($xregi[$col_enti]));
             $base0=(trim($xregi[$col_base0]));
             $base12=(trim($xregi[$col_base12]));
             $status="-";
             if($base12+$base0==0){$status="O";}

               $regi_sql='select * from vtas1 where numero ="'.$numero.'" and docu= "'.$docu.'"';
               $regi_res=mysql_query($regi_sql,$link_vcrx);

             if(mysql_num_rows($regi_res)==0)
             {
               $inse_sql='insert into vtas1(numero,docu)value("'.$numero.'","'.$docu.'")';
               $inse_res=mysql_query($inse_sql,$link_vcrx);
               $regi_res=mysql_query($regi_sql,$link_vcrx);
             }
     //         echo $regi_sql;
             $idnum1=mysql_result($regi_res,0,'idnum1');

               $regi_sql='update vtas1 set ';
               $regi_sql.='ptoe="001001", ';
               $regi_sql.='ptov="V001", ';
               $regi_sql.='numero="'.$numero.'", ';
               $regi_sql.='enti="'.$enti.'", ';
               $regi_sql.='fecha="'.$fecha.'", ';
               $regi_sql.='enti="'.$enti.'", ';
               $regi_sql.='status="'.$status.'" ';
               $regi_sql.='where idnum1='.$idnum1;
               $regi_res=mysql_query($regi_sql,$link_vcrx);
     // 				echo $regi_sql;

          $inse_sql='delete from vtas2 where idnum2="'.$idnum1.'"';
          $inse_res=mysql_query($inse_sql,$link_vcrx);
        
          $inse_sql='insert into vtas2(idnum2,iddet,cant,puni,iva)value("'.$idnum1.'","1","1","'.$base12.'","12")';
          $inse_res=mysql_query($inse_sql,$link_vcrx);
        
          $inse_sql='insert into vtas2(idnum2,iddet,cant,puni,iva)value("'.$idnum1.'","2","1","'.$base0.'","0")';
          $inse_res=mysql_query($inse_sql,$link_vcrx);
        
				
      $inse_sql='delete from vtas2 where idnum2='.$idnum1.' and puni=0 ';
      $inse_res=mysql_query($inse_sql,$link_vcrx);
	
      $inse_sql='update vtas2 set item="9999999999" where idnum2='.$idnum1;
      $inse_res=mysql_query($inse_sql,$link_vcrx);

      }

}
	
	if($hojas[$choja]=='Compras')
	{
			$xfila=$xlsx->rows($choja);

			$xcabe= $xfila[0];
			for( $ccolu = 0; $ccolu <= count($xcabe); $ccolu++)
			{
				if($xcabe[$ccolu]=='SUCO'){$col_suco=$ccolu;}
				if($xcabe[$ccolu]=='TICO'){$col_tico=$ccolu;}
				if($xcabe[$ccolu]=='FECHA'){$col_fecha=$ccolu;}
				if($xcabe[$ccolu]=='FECHAR'){$col_fechar=$ccolu;}
				if($xcabe[$ccolu]=='DOCU'){$col_docu=$ccolu;}
				if($xcabe[$ccolu]=='PTOE1'){$col_ptoe1=$ccolu;}
				if($xcabe[$ccolu]=='PTOE2'){$col_ptoe2=$ccolu;}
				if($xcabe[$ccolu]=='PTOE1R'){$col_ptoe1r=$ccolu;}
				if($xcabe[$ccolu]=='PTOE2R'){$col_ptoe2r=$ccolu;}
				if($xcabe[$ccolu]=='NUMERO'){$col_numero=$ccolu;}
				if($xcabe[$ccolu]=='NUMEROR'){$col_numeror=$ccolu;}
// 				if($xcabe[$ccolu]=='RUC'){$col_enti=$ccolu;}
				if($xcabe[$ccolu]=='ENTI'){$col_enti=$ccolu;}
				if($xcabe[$ccolu]=='CONCEPTO'){$col_concepto=$ccolu;}
				if($xcabe[$ccolu]=='BASE0'){$col_base0=$ccolu;}
				if($xcabe[$ccolu]=='BASE12'){$col_base12=$ccolu;}
				if($xcabe[$ccolu]=='ATRZ'){$col_atrz=$ccolu;}
				if($xcabe[$ccolu]=='ATRZR'){$col_atrzr=$ccolu;}
				if($xcabe[$ccolu]=='BASEIVA'){$col_baseiva=$ccolu;}
				if($xcabe[$ccolu]=='BASEFTE'){$col_basefte=$ccolu;}
				if($xcabe[$ccolu]=='CAIR'){$col_cair=$ccolu;}
				if($xcabe[$ccolu]=='RIVA30'){$col_riva30=$ccolu;}
				if($xcabe[$ccolu]=='RIVA70'){$col_riva70=$ccolu;}
				if($xcabe[$ccolu]=='RFTE'){$col_rfte=$ccolu;}
			}
		
			for( $cfila = 1; $cfila <= count($xfila); $cfila++)
			{
				$xregi= $xfila[$cfila];
        
        $docu='FP10';
        $docur='RPRO';
        $tico=(trim($xregi[$col_tico]));
        if($tico=='04'){$docu='NP10';}
        $ptoe=fillzero(trim($xregi[$col_ptoe1]),3).fillzero(trim($xregi[$col_ptoe2]),3);
        $ptoer=fillzero(trim($xregi[$col_ptoe1r]),3).fillzero(trim($xregi[$col_ptoe2r]),3);
        $numero=fillzero(trim($xregi[$col_numero]));
        $numeror=fillzero(trim($xregi[$col_numeror]));
        $cair=(trim($xregi[$col_cair]));
        $atrz=(trim($xregi[$col_atrz]));
        $atrzr=(trim($xregi[$col_atrzr]));
        $concepto=(trim($xregi[$col_concepto]));

        $baseiva=(trim($xregi[$col_baseiva]));
        $basefte=(trim($xregi[$col_basefte]));
        $rfte=(trim($xregi[$col_rfte]));
        $rfte=$rfte*100;
        $riva=0;
        if($xregi[$col_riva30]>0){$riva=30;}
        if($xregi[$col_riva70]>0){$riva=70;}
        
        $dfecha=$xregi[$col_fecha]-2;
        $dfecha=$xregi[$col_fecha]-2;
        $fecha="1900-01-01";
        $fecha=date('Y-m-d',strtotime($fecha.'+'.$dfecha.'days '));
        $dfechar=$xregi[$col_fechar]-2;
        $fechar="1900-01-01";
        $fechar=date('Y-m-d',strtotime($fechar.'+'.$dfechar.'days '));
        
//         echo '*/*/*';
//         echo $dfecha;
//         echo $fecha;
        
        $enti=(trim($xregi[$col_enti]));
        $base0=(trim($xregi[$col_base0]));
        $base12=(trim($xregi[$col_base12]));
        $status="-";
        if($base12+$base0==0){$status="O";}

        
        if(strlen(trim($atrz))<35)
        {

          $regi_sql='select * from comp1 where numero ="'.$numero.'" and docu= "'.$docu.'" and ptoe= "'.$ptoe.'" and enti= "'.$enti.'"';
          $regi_res=mysql_query($regi_sql,$link_vcrx);

          if(mysql_num_rows($regi_res)==0)
          {
            $inse_sql='insert into comp1(numero,docu,ptoe,enti)value("'.$numero.'","'.$docu.'","'.$ptoe.'","'.$enti.'")';
            $inse_res=mysql_query($inse_sql,$link_vcrx);
            $regi_res=mysql_query($regi_sql,$link_vcrx);
          }
  //         echo $regi_sql;
          $idnum1=mysql_result($regi_res,0,'idnum1');

          $regi_sql='update comp1 set ';
          $regi_sql.='numero="'.$numero.'", ';
          $regi_sql.='enti="'.$enti.'", ';
          $regi_sql.='fecha="'.$fecha.'", ';
          $regi_sql.='atrz="'.$atrz.'", ';
          $regi_sql.='suco="'.$suco.'", ';
          $regi_sql.='concepto="'.$concepto.'", ';
          $regi_sql.='status="'.$status.'" ';
          $regi_sql.='where idnum1='.$idnum1;
          $regi_res=mysql_query($regi_sql,$link_vcrx);
  // 				echo $regi_sql;

            $inse_sql='delete from comp2 where idnum2="'.$idnum1.'"';
            $inse_res=mysql_query($inse_sql,$link_vcrx);

            $inse_sql='insert into comp2(idnum2,iddet,cant,puni,iva)value("'.$idnum1.'","1","1","'.$base12.'","12")';
            $inse_res=mysql_query($inse_sql,$link_vcrx);

            $inse_sql='insert into comp2(idnum2,iddet,cant,puni,iva)value("'.$idnum1.'","2","1","'.$base0.'","0")';
            $inse_res=mysql_query($inse_sql,$link_vcrx);

            $inse_sql='delete from comp2 where idnum2='.$idnum1.' and puni=0 ';
            $inse_res=mysql_query($inse_sql,$link_vcrx);

            $inse_sql='update comp2 set cair="'.$cair.'" where idnum2='.$idnum1;
            $inse_res=mysql_query($inse_sql,$link_vcrx);

            $inse_sql='update comp2 set dcto=0 where idnum2='.$idnum1;
            $inse_res=mysql_query($inse_sql,$link_vcrx);

            $inse_sql='update comp2 set item="9999999999" where idnum2='.$idnum1;
            $inse_res=mysql_query($inse_sql,$link_vcrx);

        }

        // RETE
        
        {

          $regi_sql='select * from retp1 where numero ="'.$numeror.'" and docu= "'.$docur.'" and ptoe= "'.$ptoer.'"';
          $regi_res=mysql_query($regi_sql,$link_vcrx);

          if(mysql_num_rows($regi_res)==0)
          {
            $inse_sql='insert into retp1(numero,docu,ptoe)value("'.$numeror.'","'.$docur.'","'.$ptoer.'")';
            $inse_res=mysql_query($inse_sql,$link_vcrx);
//             echo $inse_sql;
            $regi_res=mysql_query($regi_sql,$link_vcrx);
          }
//           echo $regi_sql;
          $idnum1=mysql_result($regi_res,0,'idnum1');

          $regi_sql='update retp1 set ';
          $regi_sql.='numero="'.$numeror.'", ';
          $regi_sql.='enti="'.$enti.'", ';
          $regi_sql.='fecha="'.$fechar.'", ';
          $regi_sql.='atrz="'.$atrzr.'", ';
          $regi_sql.='status="'.$status.'" ';
          $regi_sql.='where idnum1='.$idnum1;
          $regi_res=mysql_query($regi_sql,$link_vcrx);
  // 				echo $regi_sql;

            $inse_sql='delete from retp2 where idnum2="'.$idnum1.'"';
            $inse_res=mysql_query($inse_sql,$link_vcrx);

            $inse_sql='insert into retp2(idnum2,iddet,cant,puni,cair)value("'.$idnum1.'","1","'.$basefte.'","'.$rfte.'","'.$cair.'")';
            $inse_res=mysql_query($inse_sql,$link_vcrx);
//             echo $inse_sql;

            $inse_sql='insert into retp2(idnum2,iddet,cant,puni,cair)value("'.$idnum1.'","2","'.$baseiva.'","'.$riva.'","-")';
            $inse_res=mysql_query($inse_sql,$link_vcrx);
//             echo $inse_sql;

            $inse_sql='delete from retp2 where idnum2='.$idnum1.' and puni=0 ';
            $inse_res=mysql_query($inse_sql,$link_vcrx);


            $inse_sql='update retp2 set docum="'.$docu.'", ptoem="'.$ptoe.'", numer="'.$numero.'" , fecdocum="'.$fecha.'" where idnum2='.$idnum1;
            $inse_res=mysql_query($inse_sql,$link_vcrx);

        }
        
				
     }

	
}
	
}

}



?>
